(function() {
    let currentUrl = document.location.href;
    init();

    function init(){
        let videoPoster;
        try{
            videoPoster =  document.getElementsByClassName("jw-preview jw-reset")[0].style['background-image'].slice(5,-1);
            if(bgImage.indexOf(')') >=0 ){
                videoPoster = videoPoster.substring(0,videoPoster.indexOf(')') - 1);
            }
        }catch (e) { }
        console.log('Image URL : ' + videoPoster);
        let videoSrc;
        try{
            videoSrc = document.getElementsByTagName('video')[0].src;
        }catch (e) { }
        console.log('Video URL : ' + videoSrc);
        if(videoSrc){
           var pageUrl = document.location.href;
           var title = document.title;
           let accurateUrls = new Map();
           window.SniffWebViewJs.setJsMediaTed(videoPoster, videoSrc, getName(videoSrc), title, accurateUrls );
        }
        var autoPlayBtns = document.getElementsByClassName('jw-icon jw-icon-display jw-button-color jw-reset');
        try{
            if(null != autoPlayBtns && autoPlayBtns.length==1){
                   let autoPlayBtn = autoPlayBtns[0];
                   var label = autoPlayBtn.getAttribute("aria-label");
                   if("Start Playback" ==label){
                         var videos = document.getElementsByTagName('video');
                         if(null != videos && videos.length==1){
                            let video = videos[0];
                            var videoClassName = video.className;
                            if("jw-video jw-reset" ==videoClassName){
                                  video.play();
                             }
                         }
                    }
                }
        }catch(e){}
    }

    function getName(link) {
        let a, b, c;
        if (link) {
            a = link.split('?');
            b = a[0].split('/');
            c = b[b.length - 1];
        }
        return c
    }

    function locationChange() {
        const observer = new MutationObserver(mutations => {
            mutations.forEach(() => {
                if (currentUrl !== document.location.href) {
                    currentUrl = document.location.href;
                    init();
                }
            });
        });
        const target = document.querySelector("body");
        const config = { childList: true, subtree: true };
        observer.observe(target, config);
    }
})()