{
    "el": "[data-talk-page]",
    "__INITIAL_DATA__": {
        "requested_language_english_name": "English",
        "current_talk": "82733",
        "description": "To fight climate change, we need to clean up the global electricity system by replacing fossil fuel power plants with clean generation -- right? Climate author Solomon Goldstein-Rose thinks we need to do much more than that. Replacement isn't enough, he explains in this compelling talk: we need to rapidly develop a new global system capable of producing 12 times the amount of clean electricity we generate today. He shares four reasons why we need that expansion -- first, to electrify everything in all parts of the world (not just the wealthy ones) -- as well as some intriguing ideas for how we can get there.",
        "event": "Countdown Summit",
        "language": "en",
        "language_swap": false,
        "name": "Solomon Goldstein-Rose: How much clean electricity do we really need?",
        "slug": "solomon_goldstein_rose_how_much_clean_electricity_do_we_really_need",
        "series_slug": null,
        "speakers": [{
                "id": "6437",
                "slug": "solomon_goldstein_rose",
                "is_published": true,
                "firstname": "Solomon",
                "lastname": "Goldstein-Rose",
                "middleinitial": "",
                "title": "",
                "description": "Climate author",
                "photo_url": "https://pe.tedcdn.com/images/ted/40682988ee687f1d01605dc5a26a5968ecd44b9a_254x191.jpg",
                "whatotherssay": "",
                "whotheyare": "Solomon Goldstein-Rose authored the book \"The 100% Solution\" on what must physically be achieved to reverse global warming. He served in the Massachusetts legislature.",
                "whylisten": "<p>Solomon Goldstein-Rose has been a climate activist since age 11 and is the author of <em>The 100% Solution: A Plan for Solving Climate Change</em>, a 2020 book that lays out what must physically be achieved to reverse global warming. His analysis ties together technical knowledge in terms accessible to all, and provides a cautiously hopeful vision for a comprehensive solution that still hasn&#39;t been articulated by nearly anyone else.</p><p>Solomon studied both engineering and public policy during college, and interned in the Obama White House and in Congress. He was elected to the Massachusetts legislature at age 22 on a platform focused on climate change, education and election reform. During his term, he passed several energy and education policies and created local initiatives for civic education and engagement. In 2018, he canceled his campaign for re-election so he could work full-time on climate change at the national and global levels, and <em>The 100% Solution</em>&nbsp;was the product of wrapping his own mind around the global picture. He lives in Western Massachusetts and makes time for hiking, farming and directing children&#39;s theater.</p>"
            }
        ],
        "url": "https://www.ted.com/talks/solomon_goldstein_rose_how_much_clean_electricity_do_we_really_need",
        "viewed_count": 291228,
        "talks": [{
                "recommendations": null,
                "more_resources": [{
                        "status": "approved",
                        "headline": "*The 100% Solution: A Plan for Solving Climate Change*",
                        "blurb": null,
                        "link_url": "https://www.amazon.com/100-Solution-Solving-Climate-Change/dp/1612198384/ref=as_li_tf_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0520271440&linkCode=as2&tag=teco06-20",
                        "image_url": "https://pe.tedcdn.com/images/ted/184352e11fc12756822a039db4af1436015513b4_1656x2254.jpg",
                        "author": "Solomon Goldstein-Rose",
                        "year": "2020",
                        "publisher": "Melville House",
                        "start_at": null,
                        "end_at": null,
                        "published": true,
                        "eyebrow": "BOOK",
                        "type": "book"
                    }
                ],
                "corrections": [],
                "has_citations": false,
                "take_action": [{
                        "status": "approved",
                        "blurb": "**Learn more** about Solomon Goldstein-Rose's work on climate change.",
                        "link_url": "https://www.solomongr.com/",
                        "visible_url": "SolomonGR.com",
                        "start_at": null,
                        "end_at": null,
                        "published": true,
                        "eyebrow": null,
                        "type": "take_action",
                        "verb": "learn"
                    }
                ],
                "explore_cta_experiment": {},
                "curator_approved": true,
                "description": "To fight climate change, we need to clean up the global electricity system by replacing fossil fuel power plants with clean generation -- right? Climate author Solomon Goldstein-Rose thinks we need to do much more than that. Replacement isn't enough, he explains in this compelling talk: we need to rapidly develop a new global system capable of producing 12 times the amount of clean electricity we generate today. He shares four reasons why we need that expansion -- first, to electrify everything in all parts of the world (not just the wealthy ones) -- as well as some intriguing ideas for how we can get there.",
                "downloads": {
                    "id": 82733,
                    "languages": [],
                    "nativeDownloads": null,
                    "subtitledDownloads": null,
                    "videoDownloads": null,
                    "audioDownload": "https://download.ted.com/talks/SolomonGoldsteinRose_2021T.mp3?apikey=acme-roadrunner"
                },
                "duration": 586,
                "event": "Countdown Summit",
                "institute_partner_name": null,
                "salon_partner_name": null,
                "event_badge": null,
                "is_featured": true,
                "hero": "https://s3.amazonaws.com/talkstar-photos/uploads/cab2376a-c2c0-4583-87cc-996a5f3db204/SolomonGoldstein-Rose_2021T-embed.jpg",
                "hero_load": "https://pi.tedcdn.com/r/talkstar-photos.s3.amazonaws.com/uploads/cab2376a-c2c0-4583-87cc-996a5f3db204/SolomonGoldstein-Rose_2021T-embed.jpg?q=50&w=15",
                "id": "82733",
                "player_talks": [{
                        "id": "82733",
                        "mediaIdentifier": "SolomonGoldsteinRose_2021T",
                        "mediaProjectVersionIdentifier": null,
                        "duration": 586,
                        "languages": [],
                        "nativeLanguage": "en",
                        "isSubtitleRequired": false,
                        "resources": {
                            "h264": [{
                                    "bitrate": 180,
                                    "file": "https://pc.tedcdn.com/talk/stream/2021T/Blank/SolomonGoldsteinRose_2021T-180k.mp4?dnt"
                                }
                            ],
                            "hls": {
                                "adUrl": "https://pubads.g.doubleclick.net/gampad/ads?ciu_szs=300x250%2C512x288%2C120x60%2C320x50%2C6x7%2C6x8&correlator=%5Bcorrelator%5D&cust_params=event%3DCountdown%2BSummit%26id%3D82733%26tag%3Dsustainability%2Cclimate%2Bchange%2Cenergy%2CCountdown%2Cglobal%2Bissues%2Cinnovation%2Cfossil%2Bfuels%2Celectricity%2Cfuture%2Crenewable%2Benergy%26talk%3Dsolomon_goldstein_rose_how_much_clean_electricity_do_we_really_need%26year%3D2021&env=vp&gdfp_req=1&impl=s&iu=%2F5641%2Fmobile%2Fios%2Fweb&output=xml_vast2&sz=640x360&unviewed_position_start=1&url=%5Breferrer%5D",
                                "maiTargeting": {
                                    "id": "82733",
                                    "talk": "solomon_goldstein_rose_how_much_clean_electricity_do_we_really_need",
                                    "tag": "sustainability,climate change,energy,Countdown,global issues,innovation,fossil fuels,electricity,future,renewable energy",
                                    "year": "2021",
                                    "event": "Countdown Summit"
                                },
                                "stream": "https://hls.ted.com/talks/82733.m3u8?preroll=newshortintro_053119",
                                "metadata": "https://hls.ted.com/talks/82733.json?preroll=newshortintro_053119"
                            }
                        },
                        "targeting": {
                            "id": "82733",
                            "talk": "solomon_goldstein_rose_how_much_clean_electricity_do_we_really_need",
                            "tag": "sustainability,climate change,energy,Countdown,global issues,innovation,fossil fuels,electricity,future,renewable energy",
                            "year": "2021",
                            "event": "Countdown Summit"
                        },
                        "canonical": "https://www.ted.com/talks/solomon_goldstein_rose_how_much_clean_electricity_do_we_really_need",
                        "name": "Solomon Goldstein-Rose: How much clean electricity do we really need?",
                        "title": "How much clean electricity do we really need?",
                        "speaker": "Solomon Goldstein-Rose",
                        "thumb": "https://pi.tedcdn.com/r/talkstar-photos.s3.amazonaws.com/uploads/cab2376a-c2c0-4583-87cc-996a5f3db204/SolomonGoldstein-Rose_2021T-embed.jpg?quality=89&w=600",
                        "slug": "solomon_goldstein_rose_how_much_clean_electricity_do_we_really_need",
                        "event": "Countdown Summit",
                        "published": 1634742674
                    }
                ],
                "recorded_at": "2021-10-12T00:00:00.000+00:00",
                "related_talks": [{
                        "id": "82549",
                        "hero": "https://s3.amazonaws.com/talkstar-photos/uploads/265d30c4-f4da-43d5-8e77-dccca2da1924/TzeporahBerman_2021T-embed.jpg",
                        "speaker": "Tzeporah Berman",
                        "title": "The global treaty to phase out fossil fuels",
                        "duration": 814,
                        "slug": "tzeporah_berman_the_global_treaty_to_phase_out_fossil_fuels",
                        "viewed_count": 595446
                    }, {
                        "id": "82289",
                        "hero": "https://s3.amazonaws.com/talkstar-photos/uploads/ceef94d8-20e5-48e9-aadb-e8f403762336/MonicaAraya_2021T-embed.jpg",
                        "speaker": "Monica Araya",
                        "title": "The billion-dollar campaign to electrify transport",
                        "duration": 690,
                        "slug": "monica_araya_the_billion_dollar_campaign_to_electrify_transport",
                        "viewed_count": 518173
                    }, {
                        "id": "81388",
                        "hero": "https://s3.amazonaws.com/talkstar-photos/uploads/81561667-c3ff-40df-b369-97032254f31a/JamieBeard_2021-embed.jpg",
                        "speaker": "Jamie C. Beard",
                        "title": "The untapped energy source that could power the planet",
                        "duration": 906,
                        "slug": "jamie_c_beard_the_untapped_energy_source_that_could_power_the_planet",
                        "viewed_count": 1149142
                    }, {
                        "id": "73953",
                        "hero": "https://s3.amazonaws.com/talkstar-photos/uploads/c17e519a-8dee-4b0a-a25e-a07206bdc23f/HowMuchPowerTextless.jpg",
                        "speaker": " TED-Ed",
                        "title": "How much electricity does it take to power the world?",
                        "duration": 281,
                        "slug": "ted_ed_how_much_electricity_does_it_take_to_power_the_world",
                        "viewed_count": 344601
                    }, {
                        "id": "2562",
                        "hero": "https://s3.amazonaws.com/talkstar-photos/uploads/2b9bca8a-4acb-4fb4-a52b-56bda4b88a60/MonicaAraya_2016T-embed.jpg",
                        "speaker": "Monica Araya",
                        "title": "A small country with big ideas to get rid of fossil fuels",
                        "duration": 952,
                        "slug": "monica_araya_a_small_country_with_big_ideas_to_get_rid_of_fossil_fuels",
                        "viewed_count": 1419276
                    }, {
                        "id": "73553",
                        "hero": "https://s3.amazonaws.com/talkstar-photos/uploads/413e2d82-eb3a-4ef1-b64d-7e8cad774e94/howmuchspacetextless.jpg",
                        "speaker": " TED-Ed",
                        "title": "How much land does it take to power the world?",
                        "duration": 266,
                        "slug": "ted_ed_how_much_land_does_it_take_to_power_the_world",
                        "viewed_count": 347100
                    }
                ],
                "slug": "solomon_goldstein_rose_how_much_clean_electricity_do_we_really_need",
                "speakers": [{
                        "id": "6437",
                        "slug": "solomon_goldstein_rose",
                        "is_published": true,
                        "firstname": "Solomon",
                        "lastname": "Goldstein-Rose",
                        "middleinitial": "",
                        "title": "",
                        "description": "Climate author",
                        "photo_url": "https://pe.tedcdn.com/images/ted/40682988ee687f1d01605dc5a26a5968ecd44b9a_254x191.jpg",
                        "whatotherssay": "",
                        "whotheyare": "Solomon Goldstein-Rose authored the book \"The 100% Solution\" on what must physically be achieved to reverse global warming. He served in the Massachusetts legislature.",
                        "whylisten": "<p>Solomon Goldstein-Rose has been a climate activist since age 11 and is the author of <em>The 100% Solution: A Plan for Solving Climate Change</em>, a 2020 book that lays out what must physically be achieved to reverse global warming. His analysis ties together technical knowledge in terms accessible to all, and provides a cautiously hopeful vision for a comprehensive solution that still hasn&#39;t been articulated by nearly anyone else.</p><p>Solomon studied both engineering and public policy during college, and interned in the Obama White House and in Congress. He was elected to the Massachusetts legislature at age 22 on a platform focused on climate change, education and election reform. During his term, he passed several energy and education policies and created local initiatives for civic education and engagement. In 2018, he canceled his campaign for re-election so he could work full-time on climate change at the national and global levels, and <em>The 100% Solution</em>&nbsp;was the product of wrapping his own mind around the global picture. He lives in Western Massachusetts and makes time for hiking, farming and directing children&#39;s theater.</p>"
                    }
                ],
                "speaker_name": "Solomon Goldstein-Rose",
                "tags": ["sustainability", "climate change", "energy", "Countdown", "global issues", "innovation", "fossil fuels", "electricity", "future", "renewable energy"],
                "title": "How much clean electricity do we really need?",
                "video_type": {
                    "id": "1",
                    "name": "TED Stage Talk"
                },
                "viewed_count": 291228
            }
        ]
    }
}